package com.gree.mall.manager.bean.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class ImgCarouselManageBean {

    private String id;

    @ApiModelProperty(  "轮播图名称")
    private String imgCarouselName;

    @ApiModelProperty(  "轮播图")
    private String imgCarouselUrl;

    @ApiModelProperty(  "顺序")
    private Integer imgCarouselOrder;

    @ApiModelProperty( "状态：显示，隐藏")
    private String status;
    //状态  1:显示  0:隐藏
    public final static String STATUS_SHOW = "1";
    public final static String STATUS_HIDE = "0";

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImgCarouselName() {
        return imgCarouselName;
    }

    public void setImgCarouselName(String imgCarouselName) {
        this.imgCarouselName = imgCarouselName;
    }

    public String getImgCarouselUrl() {
        return imgCarouselUrl;
    }

    public void setImgCarouselUrl(String imgCarouselUrl) {
        this.imgCarouselUrl = imgCarouselUrl;
    }

    public Integer getImgCarouselOrder() {
        return imgCarouselOrder;
    }

    public void setImgCarouselOrder(Integer imgCarouselOrder) {
        this.imgCarouselOrder = imgCarouselOrder;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
